Subject: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW

From: [email-masked]
Date: Thu, 1 Jul 2010 09:46:14 +0200

Hi all,

I agree with Jia and Luca. As CW is defined as OPTIONAL, there are many 
applications of PW without CW in our network.
So I support the Proposal of using GAL for PW OAM.

Best regards 
  
Ruiquan Jing 
 
China¡¡Telecom  Beijing  Research¡¡Institute

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Jia HE
> Sent: Thursday, July 01, 2010 1:31 PM
> To: Andrew G. Malis
> Cc: [email-masked]; [email-masked]; HUANG Feng F; 
> [email-masked]
> Subject: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW
> 
> Hi Andy,
> 
> The problem is there do exist applications of PW without CW 
> in the network. By adding GAL for PW OAM it dosen't impact 
> the services on the wire and will align the OAM process for 
> both LSP and PW in MPLS-TP environment.
> 
> Since MPLS-TP covers both LSP and PW, it is better to 
> consider them together for easy implementations.
> 
>  
> 
> B.R.
> Jia
> 
> 
> ----- Original Message -----
> From: "Andrew G. Malis" <[email-masked]>
> To: "HUANG Feng F" <[email-masked]>; 
> "Larry" <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>
> Sent: Thursday, July 01, 2010 12:27 AM
> Subject: Re: [PWE3] Proposal of using GAL for PW
> 
> 
> > Larry and Feng,
> > 
> > This issue has previously been discussed at length by the working
> > group, both at the Anaheim meeting and by email, for 
> example in emails
> > with the subject line "Possible Contradiction re use of GAL in
> > pwe3-static-pw-status". There was rough consensus that for MPLS-TP
> > applications and/or when PW OAM is desired, PW implementations are
> > mature enough (it has been 10 years now, after all) that 
> the time has
> > come to require the implementation of the CW for all PWs, including
> > Ethernet.
> > 
> > Cheers,
> > Andy
> > 
> > On Wed, Jun 30, 2010 at 6:34 AM, HUANG Feng F
> > <[email-masked]> wrote:
> >>
> >> it is reasonable to support GAL in MPLS-TP PW OAM, it is 
> more generic, because CW is an option RFC4448 for Ethernet over MPLS.
> >>
> >> 4.6.  The Control Word
> >>
> >> xxxx
> >>
> >>
> >> The features that the control word provides may not be needed for a
> >>   given Ethernet PW.  For example, ECMP may not be present 
> or active on
> >>   a given MPLS network, strict frame sequencing may not be 
> required,
> >>   etc.  If this is the case, the control word provides 
> little value and
> >>   is therefore optional.  Early Ethernet PW 
> implementations have been
> >>   deployed that do not include a control word or the 
> ability to process
> >>   one if present.  To aid in backwards compatibility, future
> >>   implementations MUST be able to send and receive frames 
> without the
> >>   control word present.
> >> xxxx
> >>
> >>
> >>
> >> B.R.
> >> Feng Huang
> >>
> >>
> >> -----Original Message-----
> >> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Larry
> >> Sent: 2010Äê6ÔÂ30ÈÕ 17:38
> >> To: [email-masked]; [email-masked]
> >> Cc: [email-masked]
> >> Subject: [PWE3] Proposal of using GAL for PW
> >>
> >> Dear all:
> >>
> >>     In section 4.2 in RFC5586, it is defined that GAL MUST 
> NOT be used with PWs in MPLS-TP. The PWE3 control word 
> [RFC4385] MUST be present when the ACH is used to realize the 
> associated control channel.
> >>     In real application, a lot of MPLS and MPLS-TP 
> equipments do not support control word. It is proposed to use 
> the GAL to identify associated control channel in PW layer.
> >>
> >> Best regards,
> >>
> >>                 Han Li
> >>
> >> 
> ********************************************************************
> >> Han Li, Ph.D
> >> China Mobile Research Institute
> >> Unit 2, 28 Xuanwumenxi Ave, Xuanwu District, Beijing 100053, China
> >> Fax: +86 10 63601087
> >> MOBILE: 13501093385
> >> 
> ********************************************************************
> >>
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pwe3
> >
> _______________________________________________
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
>

---

From: Pei Zhang(联通集团技术部) <[email-masked]>
Date: Fri, 2 Jul 2010 16:51:41 +0800

Hi, 

The CW on many applications is also option in our network. 

Thanks, 
Pei

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2010年7月1日 15:46
收件人: [email-masked]; [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW

Hi all,

Best regards 
  
Ruiquan Jing

---

From: "Shahram Davari" <[email-masked]>
Date: Fri, 2 Jul 2010 10:13:58 -0700

Good. In that case you could use VCCV type 2 or 3.

Thx
SD

From: [email-masked] [mailto:[email-masked]] On Behalf Of Pei Zhang(???????)
Sent: Friday, July 02, 2010 1:52 AM
To: [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; wanggq; [email-masked]
Subject: [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW

Hi,

Thanks,
Pei

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2010年7月1日 15:46
收件人: [email-masked]; [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW

Hi all,

Best regards

Ruiquan Jing

---

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 2 Jul 2010 20:21:45 +0300

Hi all,
It seems that VCCV Type 2 or Type 3 are the only ways for running OAM on a segment of a MS-PW.
Do I miss something here?

My 2c,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Shahram Davari [[email-masked]]
Sent: Friday, July 02, 2010 8:13 PM
To: Pei Zhang(联通集团技术部); [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; wanggq; [email-masked]
Subject: Re: [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW

Thx
SD

Hi,

Thanks,
Pei

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2010年7月1日 15:46
收件人: [email-masked]; [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW

Hi all,

Best regards

Ruiquan Jing

---

From: Vishwas Manral <[email-masked]>
Date: Fri, 2 Jul 2010 10:31:04 -0700

Hi Sasha,

You are right.

Have a look at the draft for LSP ping over a segment of a MS-PW
http://tools.ietf.org/html/draft-boutros-mpls-lsp-ping-ttl-tlv-01

Thanks,
Vishwas

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 2 Jul 2010 10:46:21 -0700

In the case of MS-PW, I don't think you can use type2(RA).

-sam

---

From: Alexander Vainshtein <[email-masked]>
Date: Sat, 3 Jul 2010 23:43:48 +0300

Sam,
Could you please elaborate?

Regards,
     Sasha

________________________________
From: Sam Aldrin [[email-masked]]
Sent: Friday, July 02, 2010 8:46 PM
To: Alexander Vainshtein
Cc: Shahram Davari; Pei Zhang(联通集团技术部); [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; wanggq; [email-masked]
Subject: Re: [PWE3] [mpls-tp] 答复: Proposal of using GAL for PW

-sam

Hi all,

My 2c,
     Sasha

________________________________
From: [email-masked]<mailto:[email-masked]> [[email-masked]<mailto:[email-masked]>] On Behalf Of Shahram Davari [[email-masked]<mailto:[email-masked]>]
Sent: Friday, July 02, 2010 8:13 PM
To: Pei Zhang(联通集团技术部); [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; wanggq; [email-masked]<mailto:[email-masked]>
Subject: Re: [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW

Thx
SD

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Pei Zhang(???????)
Sent: Friday, July 02, 2010 1:52 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; wanggq; [email-masked]<mailto:[email-masked]>
Subject: [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW

Hi,

Thanks,
Pei

-----邮件原件-----
发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 [email-masked]<mailto:[email-masked]>
发送时间: 2010年7月1日 15:46
收件人: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
主题: Re: [mpls-tp] [PWE3] Proposal of using GAL for PW

Hi all,

Best regards

Ruiquan Jing

> From: [email-masked]<mailto:[email-masked]>
> Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; HUANG Feng F;
> [email-masked]<mailto:[email-masked]>
> From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
> To: "HUANG Feng F" <[email-masked]<mailto:[email-masked]>>;
> "Larry" <[email-masked]<mailto:[email-masked]>>
> Cc: <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>; <[email-masked]<mailto:[email-masked]>>
> > <[email-masked]<mailto:[email-masked]>> wrote:
> >>
> >> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
> On Behalf Of Larry
> >> To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> >> Cc: [email-masked]<mailto:[email-masked]>
> > [email-masked]<mailto:[email-masked]>
> [email-masked]<mailto:[email-masked]>
_______________________________________________
mpls-tp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mpls-tp

_______________________________________________
pwe3 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pwe3

---

From: Sam Aldrin <[email-masked]>
Date: Sat, 3 Jul 2010 16:17:31 -0700

Sasha,

Due to the presence of RA label, the packet will be punted at the  
adjacent SPE/TPE router, which is the end of the segment.
If you have to ping or trace beyond one segment, i.e. in MSPW, how  
does the packet get there with RA label in there?
For that very reason, SPE's do not even advertise type 2 VCCV  
capability.

-sam
On Jul 3, 2010, at 1:43 PM, Alexander Vainshtein wrote:

> Cc: Shahram Davari; Pei Zhang(联通集团技术部); [email-masked]; he 
> [email-masked]; [email-masked]; [email-masked];  
> [email-masked]; wanggq; [email-masked]

---

From: Mahesh Akula <[email-masked]>
Date: Sat, 3 Jul 2010 17:25:12 -0700

All,

If PW does not have CW in use, OAM packets without IP/UDP headers cannot be
carried over this PW. Supporting GAL/GACH will help in this too right?

Regards,
Mahesh

On Sat, Jul 3, 2010 at 4:17 PM, Sam Aldrin <[email-masked]> wrote:

> Sasha,
>
> Due to the presence of RA label, the packet will be punted at the adjacent
> SPE/TPE router, which is the end of the segment.
> If you have to ping or trace beyond one segment, i.e. in MSPW, how does the
> packet get there with RA label in there?
> For that very reason, SPE's do not even advertise type 2 VCCV capability.
>
> -sam
>
>  ------------------------------
> *From:* Sam Aldrin [[email-masked]]
> *Sent:* Friday, July 02, 2010 8:46 PM
> *To:* Alexander Vainshtein
> *Cc:* Shahram Davari; Pei Zhang(联通集团技术部); [email-masked];
> [email-masked]; [email-masked]; [email-masked]; [email-masked];
> wanggq; [email-masked]
> *Subject:* Re: [PWE3] [mpls-tp] 答复: Proposal of using GAL for PW
>
>  ------------------------------
> *From:* [email-masked] [[email-masked]] On Behalf Of
> Shahram Davari [[email-masked]]
> *Sent:* Friday, July 02, 2010 8:13 PM
> *To:* Pei Zhang(联通集团技术部); [email-masked]; [email-masked];
> [email-masked]
> *Cc:* [email-masked]; [email-masked]; wanggq; [email-masked]
> *Subject:* Re: [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW
>
>  *From:* [email-masked] [mailto:[email-masked]<[email-masked]>
> ] *On Behalf Of *Pei Zhang(???????)
> *Sent:* Friday, July 02, 2010 1:52 AM
> *To:* [email-masked]; [email-masked]; [email-masked]
> *Cc:* [email-masked]; [email-masked]; wanggq; [email-masked]
> *Subject:* [mpls-tp] 答复: [PWE3] Proposal of using GAL for PW
>
>
>
> Hi,
>
> 发件人: [email-masked] [mailto:[email-masked]<[email-masked]>
> ] 代表 [email-masked]
> 发送时间: 2010年7月1日 15:46
> > [mailto:[email-masked] <[email-masked]>] On Behalf
> Of Jia HE
> > >> From: [email-masked] [mailto:[email-masked]<[email-masked]>
> ]
> > On Behalf Of Larry

---

From: Sam Aldrin <[email-masked]>
Date: Sun, 4 Jul 2010 13:03:32 -0700

Hi Sasha,

Even if it is segment within MSPW, how can SPE advertise type2, due to  
the reason I mentioned earlier?

-sam
On Jul 3, 2010, at 9:20 PM, Alexander Vainshtein wrote:

> Sam,
> Lots of thanks for a prompt response and clarification.
>
> Please note, however, that I have been talking about segment OAM for  
> MS-PWs.
> Regards,
>      Sasha
>
> Sent: Sunday, July 04, 2010 2:17 AM
> To: Alexander Vainshtein
>> [email-masked]; [email-masked]; [email-masked]; [email-masked] 
>> ; wanggq; [email-masked]
>>> From: [email-masked] [[email-masked]] On  
>>> Behalf Of Shahram Davari [[email-masked]]